<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>Player</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Player";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Piece.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/PlayerOnline.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Player" class="title">Class Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.Player</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../model/IA.html" title="class in model">IA</a>, <a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Player</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">The Class Player represent and store the characteristic of a player.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.Player">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#PATTERN_NUMBER">PATTERN_NUMBER</a></strong></code>
<div class="block">The pattern number.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String)">Player</a></strong>(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name)</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern)">Player</a></strong>(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[])">Player</a></strong>(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
      int[]&nbsp;pieces)</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#cantPlay()">cantPlay</a></strong>()</code>
<div class="block">Set the canPlay attribute to false.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getActualNbPiece()">getActualNbPiece</a></strong>()</code>
<div class="block">Get the actual number piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getCanPlay()">getCanPlay</a></strong>()</code>
<div class="block">Get the canPlay attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getColor()">getColor</a></strong>()</code>
<div class="block">Get the color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getMap()">getMap</a></strong>()</code>
<div class="block">Get the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getName()">getName</a></strong>()</code>
<div class="block">Get the name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getOrigin()">getOrigin</a></strong>()</code>
<div class="block">Get the origin of the players.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getPATTERN_NUMBER()">getPATTERN_NUMBER</a></strong>()</code>
<div class="block">Return the pattern number.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Pattern.html" title="class in model">Pattern</a></code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getPattern()">getPattern</a></strong>()</code>
<div class="block">Get the pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Piece.html" title="class in model">Piece</a>[]</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getPieces()">getPieces</a></strong>()</code>
<div class="block">Get the pieces of the player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#getScore()">getScore</a></strong>()</code>
<div class="block">Get the score.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#iniOrigin()">iniOrigin</a></strong>()</code>
<div class="block">Initialise the origin of the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setCanPlay(boolean)">setCanPlay</a></strong>(boolean&nbsp;canPlay)</code>
<div class="block">Set if the player can play.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setColor(java.awt.Color)">setColor</a></strong>(java.awt.Color&nbsp;color)</code>
<div class="block">Set the color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setMap(boolean[][])">setMap</a></strong>(boolean[][]&nbsp;map)</code>
<div class="block">Set the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setName(java.lang.String)">setName</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">Set the name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setOrigin(model.Position)">setOrigin</a></strong>(<a href="../model/Position.html" title="class in model">Position</a>&nbsp;origin)</code>
<div class="block">Set the origin of the players.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setPattern(model.Pattern)">setPattern</a></strong>(<a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Set the pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#setScore(int)">setScore</a></strong>(int&nbsp;score)</code>
<div class="block">Set the score.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Player.html#usePiece(model.Piece)">usePiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p)</code>
<div class="block">Use a piece of the player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PATTERN_NUMBER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PATTERN_NUMBER</h4>
<pre>public final&nbsp;int PATTERN_NUMBER</pre>
<div class="block">The pattern number.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Player(java.awt.Color, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name)</pre>
<div class="block">Instantiates a new player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the players</dd><dd><code>name</code> - the name of the players</dd></dl>
</li>
</ul>
<a name="Player(java.awt.Color, java.lang.String, model.Pattern)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</pre>
<div class="block">Instantiates a new player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the players</dd><dd><code>name</code> - the name of the players</dd><dd><code>pattern</code> - the pattern of the players</dd></dl>
</li>
</ul>
<a name="Player(java.awt.Color, java.lang.String, model.Pattern, int[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
      int[]&nbsp;pieces)</pre>
<div class="block">Instantiates a new player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the players</dd><dd><code>name</code> - the name of the players</dd><dd><code>pattern</code> - the pattern of the players</dd><dd><code>pieces</code> - the pieces of the players</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPATTERN_NUMBER()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPATTERN_NUMBER</h4>
<pre>public&nbsp;int&nbsp;getPATTERN_NUMBER()</pre>
<div class="block">Return the pattern number.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the pattern number (a int)</dd></dl>
</li>
</ul>
<a name="setCanPlay(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCanPlay</h4>
<pre>public&nbsp;void&nbsp;setCanPlay(boolean&nbsp;canPlay)</pre>
<div class="block">Set if the player can play.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>canPlay</code> - true if he can play</dd></dl>
</li>
</ul>
<a name="getOrigin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrigin</h4>
<pre>public&nbsp;<a href="../model/Position.html" title="class in model">Position</a>&nbsp;getOrigin()</pre>
<div class="block">Get the origin of the players.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the origin of the players</dd></dl>
</li>
</ul>
<a name="setOrigin(model.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrigin</h4>
<pre>public&nbsp;void&nbsp;setOrigin(<a href="../model/Position.html" title="class in model">Position</a>&nbsp;origin)</pre>
<div class="block">Set the origin of the players.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>origin</code> - the new origin</dd></dl>
</li>
</ul>
<a name="iniOrigin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iniOrigin</h4>
<pre>public&nbsp;void&nbsp;iniOrigin()</pre>
<div class="block">Initialise the origin of the players.</div>
</li>
</ul>
<a name="cantPlay()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cantPlay</h4>
<pre>public&nbsp;void&nbsp;cantPlay()</pre>
<div class="block">Set the canPlay attribute to false.</div>
</li>
</ul>
<a name="getCanPlay()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCanPlay</h4>
<pre>public&nbsp;boolean&nbsp;getCanPlay()</pre>
<div class="block">Get the canPlay attribute.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the canPlay attribute</dd></dl>
</li>
</ul>
<a name="getActualNbPiece()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualNbPiece</h4>
<pre>public&nbsp;int&nbsp;getActualNbPiece()</pre>
<div class="block">Get the actual number piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the actual number piece</dd></dl>
</li>
</ul>
<a name="usePiece(model.Piece)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>usePiece</h4>
<pre>public&nbsp;void&nbsp;usePiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p)</pre>
<div class="block">Use a piece of the player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the piece to use</dd></dl>
</li>
</ul>
<a name="getPieces()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPieces</h4>
<pre>public&nbsp;<a href="../model/Piece.html" title="class in model">Piece</a>[]&nbsp;getPieces()</pre>
<div class="block">Get the pieces of the player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the pieces of the player</dd></dl>
</li>
</ul>
<a name="getColor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getColor()</pre>
<div class="block">Get the color.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the color</dd></dl>
</li>
</ul>
<a name="setColor(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(java.awt.Color&nbsp;color)</pre>
<div class="block">Set the color.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the new color</dd></dl>
</li>
</ul>
<a name="getScore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int&nbsp;getScore()</pre>
<div class="block">Get the score.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the score</dd></dl>
</li>
</ul>
<a name="setScore(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScore</h4>
<pre>public&nbsp;void&nbsp;setScore(int&nbsp;score)</pre>
<div class="block">Set the score.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>score</code> - the new score</dd></dl>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Get the name.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the name</dd></dl>
</li>
</ul>
<a name="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;name)</pre>
<div class="block">Set the name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the new name</dd></dl>
</li>
</ul>
<a name="getPattern()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern</h4>
<pre>public&nbsp;<a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;getPattern()</pre>
<div class="block">Get the pattern.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the pattern</dd></dl>
</li>
</ul>
<a name="getMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public&nbsp;boolean[][]&nbsp;getMap()</pre>
<div class="block">Get the map.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the map</dd></dl>
</li>
</ul>
<a name="setMap(boolean[][])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMap</h4>
<pre>public&nbsp;void&nbsp;setMap(boolean[][]&nbsp;map)</pre>
<div class="block">Set the map.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>map</code> - the new map</dd></dl>
</li>
</ul>
<a name="setPattern(model.Pattern)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setPattern</h4>
<pre>public&nbsp;void&nbsp;setPattern(<a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</pre>
<div class="block">Set the pattern.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pattern</code> - the new pattern</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Piece.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/PlayerOnline.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
